KAS_STRINGTOKEY(8)

NAME
kas_stringtokey - Converts a character string into an octal key

SYNOPSIS
kas stringtokey B<-string> <I<password string>>
    [B<-cell> <I<cell name>>] [-help]

kas str B<-s> <I<password string>> [B<-c> <I<cell name>>] [-h]

DESCRIPTION
The kas stringtokey command converts the character string specified with the -string argument into an octal string suitable for use as an encryption key.

The kas command interpreter generates the octal key by using an encryption algorithm on the combination of the specified string and the name of the local cell (as recorded in the local /usr/local/etc/openafs/ThisCell file). Use the -cell argument to convert a string into a key appropriate for a cell other than the local one.

CAUTIONS
This command writes the key to the standard output stream, on which it can possibly be intercepted by third parties. It is not very secure to use the key in an actual Authentication Database entry.

OPTIONS

-string <password string>
    Specifies the character string to convert into an octal key.

-cell <cell name>
    Specifies the complete Internet domain name of the cell to combine with the password string while generating the key. If this argument is omitted, the kas command interpreter determines the name of the local cell by consulting:

    •   First, the value of the environment variable AFSCELL.

    •   Second, the cellname in the /usr/local/etc/openafs/ThisCell file on the local machine.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output is of the following form:

   Converting I<password string> in realm 'I<cell_name>' yields key='I<key>'.

EXAMPLES
The following example shows the octal key equivalent of the string "new_pswd" in the ABC Corporation cell.

   % kas stringtokey new_pswd
   Converting new_pswd in realm 'ABC.COM' yields
       key='\346\307\364\320\263\233\342\354'.

PRIVILEGE REQUIRED
None, and no password is required.

SEE ALSO
ThisCell(5), kas(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.